#!/usr/bin/env ruby
# coding: utf-8

v = 1.0 * 6										# 終止電圧 x セル数

codes = []

#      5   9  13  17  21  25  29
# ------**--**--**--**--**--**--**

nflash = 33
codes << <<CODE % [nflash -= 4, 1]
					  nflush = %d;								//   %d times

				} while(0);
CODE

(2..7).each {|t|
	pic_in = v * (33 / 133.0)					# PIC への入力電圧
	adres = (pic_in * 256 / 3.33 + 0.5).to_i

	print "\n#%5.2f V  ADRES: 0x%02X / 0xFF\n" % [v, adres]
	print "#   :\n#  flash %d times\n#   :" % t

	codes << <<CODE % [nflash -= 4, t, adres, v]
					  nflush = %d;								//   %d times
					if(volts > 0x%02X) break;						// volts > %4.2f V
CODE

	v += 0.5									# 電圧の段階
}
print "\n\n"

codes << <<CODE
				do {
CODE

codes.reverse.each {|code|
	print code
}

